/*===== GOOGLE FONTS =====*/
@-ms-viewport{
  width: device-width;
}
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");
/*===== VARIABLES CSS =====*/
:root{
  --header-height: 3rem;
  --font-semi: 600;
}

/*===== Colors =====*/
:root{
  --first-color: #6bc9ff;
  --second-color: #0E2431;
}

/*===== Font & Typography =====*/
:root{
  --body-font: 'Poppins', sans-serif;
  --big-font-size: 1rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: 0.938rem;
}
@media screen and (min-width: 1040px){
  :root{
    --big-font-size: 3.5rem;
    --h2-font-size: 2rem;
    --normal-font-size: 1rem;
  }
}

/*===== Margin =====*/
:root{
  --mb-1: 0.5rem;
  --mb-2: 1.2rem;
  --mb-3: 1.5rem;
  --mb-4: 2rem;
  --mb-5: 2.5rem;
  --mb-6: 3rem;
}

/*===== z index =====*/
:root{
  --z-back: -10;
  --z-normal: 1;
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*===== BASE =====*/
*,::before,::after{
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
}
body{
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  color: var(--second-color);
}
h1,h2,p{
  margin: 0;
}
ul{
  margin: 0;
  padding: 0;
  list-style: none;
}
a{
  text-decoration: none;
}
img{
  max-width: 100%;
  height: auto;
  display: block;
}

/*===== CLASS CSS ===== */
.section-title{
  position: relative;
  font-size: var(--h2-font-size);
  color: var(--first-color);
  margin-top: var(--mb-2);
  margin-bottom: var(--mb-4);
  text-align: center;
}

.section-title::after{
  position: absolute;
  content: "";
  width: 24px;
  height: 0.18rem;
  left: 0;
  right: 0;
  margin: auto;
  top: 2rem;
  background-color: var(--first-color);
}
.section{
  padding-top: 3rem;
  padding-bottom: 2rem;
}

/*===== LAYOUT =====*/
.bd-grid{
  max-width: 1024px;
  display: grid;
  grid-template-columns: 100%;
  grid-column-gap: 2rem;
  width: calc(100% - 2rem);
  margin-left: var(--mb-2);
  margin-right: var(--mb-2);
}
.l-header{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: #fff;
  box-shadow: 0 1px 4px rgba(146,161,176,.15);
}

/*===== NAV =====*/
.nav{
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-weight: var(--font-semi);
}
@media screen and (max-width: 768px){
  .nav__menu{
    position: fixed;
    top: var(--header-height);
    right: -100%;
    width: 80%;
    height: 100%;
    padding: 2rem;
    background-color: var(--second-color);
    transition: .5s;
  }
}
.nav__item{
  margin-bottom: var(--mb-4);
}
.nav__link{
  position: relative;
  color: #fff;
}
.nav__link:hover{
  position: relative;
}
.nav__link:hover::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}
.nav__logo{
  color: var(--second-color);
}
.nav__toggle{
  color: var(--second-color);
  font-size: 1.5rem;
  cursor: pointer;
}

/*Active menu*/
.active::after{
  position: absolute;
  content: "";
  width: 100%;
  height: 0.18rem;
  left: 0;
  top: 2rem;
  background-color: var(--first-color);
}

/*=== Show menu ===*/
.show{
  right: 0;
}

/*===== HOME =====*/
.home{
  height: calc(100vh - 3rem);
  row-gap: 1rem;
}
.home__data{
  align-self: center;
}
.home__title{
  font-size: var(--big-font-size);
  margin-bottom: var(--mb-5);
}
.home__title-color{
  color: var(--first-color);
}
.home__social{
  display: flex;
  flex-direction: column;
}
.home__social-icon{
  width: max-content;
  margin-bottom: var(--mb-2);
  font-size: 1.5rem;
  color: var(--second-color);
}
.home__social-icon:hover{
  color: var(--first-color);
}
/*
.home__img{
  position: absolute;
  right: 0;
  bottom: 0;
  width: 10px;
  border-radius: 80%;
}
*/
/*BUTTONS*/
.button{
  display: inline-block;
  background-color: var(--first-color);
  color: #fff;
  padding: .75rem 2.5rem;
  font-weight: var(--font-semi);
  border-radius: .5rem;
}
.button:hover{
  box-shadow: 0 10px 36px rgba(0,0,0,.15);
}

/* ===== ABOUT =====*/
.about__container{
  row-gap: 2rem;
  text-align: center;
}
.about__subtitle{
  margin-bottom: var(--mb-2);
}
.about__img{
  max-width: 300px;
  justify-self: center;
}
.about__img img{
  border-radius: 50px;
}
.about__text{
  padding: 0rem 0rem;
}

/* ===== EXPERIENCE =====*/
@media screen and (max-width: 900px){
    .box{
    flex-direction: column; 
    width: 100%;
}
}

.row_column {
	background-color: #ffffff;
  font-weight: normal;
  justify-content: center;
  text-align: center;
  padding: 2em 0em;
}

.text-center{
  font-size: 40px;
  margin-bottom: .7em;
  color: #6bc9ff;
}

.text-center-tag-line {
	font-size: 20px;
  margin-bottom: 1em;
}

.box{
  margin: 0em 10em;
  padding: 1em 0em;
  justify-content: center;
}

.flip{
  position: relative;
  display: inline-block;
  margin-right: 2px 2px;
  margin-bottom: 2em;
  width: 500px;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.front{
  transform: rotateY(0deg);
}

.back {
  position: absolute;
  opacity: 0;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  transform: rotateY(-180deg);
}

.front , .back{
  display: block;
  transition-timing-function: cubic-bezier(.175, .885, .32, 1.275);
  transition-duration: 2s;
  transition-property: transform, opacity;
  color: rgb(0, 255, 221);
  width: 100%;
  background-size: cover!important;
  background-position: center!important;
  height: 240px;
  padding: 2em 2em;
  background: #807a7a;
  border-radius: 10px;
}

.front , .back:hover{
  transform: rotateY(180deg);
  opacity: 10;
  transform: rotateY(0deg);
}

.ul{
  line-height: 180%;
  padding: 0em 0em;
  color: rgb(255, 180, 180);
  list-style-type: none;
  text-align: center;
  justify-content: center;
}

.text-shadow {
text-shadow: 1px 1px rgba(0, 0, 0, 0.04), 2px 2px rgba(0, 0, 0, 0.04), 3px 3px rgba(0, 0, 0, 0.04), 4px 4px rgba(0, 0, 0, 0.04), 0.125rem 0.125rem rgba(0, 0, 0, 0.04), 6px 6px rgba(0, 0, 0, 0.04), 7px 7px rgba(0, 0, 0, 0.04), 8px 8px rgba(0, 0, 0, 0.04), 9px 9px rgba(0, 0, 0, 0.04), 0.3125rem 0.3125rem rgba(0, 0, 0, 0.04), 11px 11px rgba(0, 0, 0, 0.04), 12px 12px rgba(0, 0, 0, 0.04), 13px 13px rgba(0, 0, 0, 0.04), 14px 14px rgba(0, 0, 0, 0.04), 0.625rem 0.625rem rgba(0, 0, 0, 0.04), 16px 16px rgba(0, 0, 0, 0.04), 17px 17px rgba(0, 0, 0, 0.04), 18px 18px rgba(0, 0, 0, 0.04), 19px 19px rgba(0, 0, 0, 0.04), 1.25rem 1.25rem rgba(0, 0, 0, 0.04);
}


/* ===== PROJECTS =====*/
#project::before,::after{
  margin: 0em;
  padding: 0em;
  box-sizing: border-box;
}

#project {
  font-family: 'Poppins', sans-serif;
  font-size: 16px;
  width: 100%;
  height: 100%;
  display: block;
  background-color: #fff;
  padding: 0 10rem;
}

.text-center{
  display: flex;
  align-items: center;
  justify-content: center;
  padding-bottom: 0rem;
}

.text-center-tag-line{
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 0rem;
  padding-bottom: 0.5rem;
  font-family: 'Poppins', sans-serif;
  font-size: 1.5rem;
  color: #6bc9ff;
}

.blog_post{
  width: 100%;
  max-width: 100rem;
  padding: 2rem;
  background-color: #fff;
  box-shadow: 0rem 0rem 0rem rgba(207, 207, 207, 0.5);
  display: flex;
  align-items: center;
  border-radius: 0rem;
}

.blog_post_img{
  min-width: 40rem;
  max-width: 30rem;
  max-height: 50rem;
  min-height: 10rem;
  height: 20rem;
  transform: translateX(-1rem);
  position: relative;
}

.blog_post_img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  border-radius: 1rem;
}

.blog_post_img::before{
  content: '';
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  box-shadow: .5rem .5rem .5rem 1px rgb(224, 224, 224);
  border-radius: 1.2rem;
}

.blog_post_title{
  font-size: 1.5rem;
  margin: 1rem 0 1rem;
  text-transform: uppercase;
  color: rgb(88, 206, 166); 
}

.blog_post_text{
  margin-bottom: 1.5rem;
  font-size: 0.9rem;
  color: #226b1b;
}

.blog_post_ctn{
  display: inline-block;
  padding: .5rem 1rem;
  letter-spacing: 1px;
  text-transform: uppercase;
  font-size: 1.2rem;
  color: rgb(255, 255, 255);
  border-radius: 10rem;
  text-decoration: none;
  background-image: linear-gradient(to right, #2b9cff 0%, #58e6ee 100%);
}

.blog_post_ctn:hover{
  cursor: pointer;
  background-image: linear-gradient(to right,#58e6ee 0%,  #2b9cff 100%);
}

@media screen and (max-width: 1070px) {
  .blog_post{
    max-width: 80rem;
  }
  .blog_post_img{
    min-width:100%;
    max-width: 100%;
  }
}

@media screen and (max-width: 870px) {
  .blog_post{
    max-width: 70rem;
  }
}

@media screen and (max-width: 768px) {
  .blog_post{
    padding: 2.5rem;
    flex-direction: column;
  }
  .blog_post_img{
    min-width:100%;
    max-width: 100%;
    transform: translate(0, -8rem);
  }
}

/* ===== See More ====*/

.see_section{
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  margin: 0;
  padding: 0;
  
}

.see_section_txt{
  margin: 1rem;
  background: #01c8fa;
  border-radius: 20px;
  padding: 10px;
  text-transform: uppercase;
  box-shadow: .5rem .5rem 10px rgba(0, 0, 0, 0.274);
  display: inline-flex;
}

.see_section_txt:hover{
  cursor: pointer;
  background-image: linear-gradient(to right,#58e6ee 0%,  #2b9cff 100%);
}

.see_section_txt a{
  text-decoration: none;
  color: #fff;
  width: 10rem;
  text-align: center;
  font-family: 'Poppins', sans-serif;
  font-size: 1.2rem;
}

/* ===== CONTACT =====*/
.contact__input{
  width: 100%;
  font-size: var(--normal-font-size);
  font-weight: var(--font-semi);
  padding: .5rem;
  border-radius: .5rem;
  border: 1.5px solid var(--second-color);
  outline: none;
  margin-bottom: var(--mb-4);
}
.contact__button{
  display: block;
  border: none;
  outline: none;
  font-size: var(--normal-font-size);
  cursor: pointer;
  margin-left: auto;
}

/* ===== FOOTER =====*/
.footer{
  background-color: var(--second-color);
  color: #fff;
  text-align: center;
  font-weight: var(--font-semi);
  padding: 1rem 0rem;
}
.footer__title{
  font-size: 2rem;
  margin-bottom: 1rem;
}
.footer__social{
  margin-bottom: 1rem;
}
.footer__icon{
  font-size: 1.5rem;
  color: #fff;
  margin: 0 var(--mb-2)
}

/* ===== MEDIA QUERIES=====*/
@media screen and (min-width: 768px){
  body{
    margin: 0;
  }
  .section{
    padding-top: 4rem;
    padding-bottom: 3rem;
  }
  .section-title{
    margin-bottom: var(--mb-6);
  }
  .section-title::after{
    width: 80px;
    top: 3rem;
  }

  .nav{
    height: calc(var(--header-height) + 1rem);
  }
  .nav__list{
    display: flex;
    padding-top: 0;
  }
  .nav__item{
    margin-left: var(--mb-6);
    margin-bottom: 0;
  }
  .nav__toggle{
    display: none;
  }
  .nav__link{
    color: var(--second-color);
  }

  .home{
    height: 100vh;
  }
  .home__data{
    align-self: flex-end;
  }
  .home__social{
    padding-top: 0;
    padding-bottom: 2.5rem;
    flex-direction: row;
    align-self: flex-end;
  }
  .home__social-icon{
    margin-bottom: 0;
    margin-right: var(--mb-4);
  }
  .home__img{
    width: 457px;
    bottom: 15%;
  }

  .about__container, .skills__container{
    grid-template-columns: repeat(2,1fr);
    align-items: center;
    text-align: initial;
  }
  .about__img img{
    width: 300px;
  }
  .work__container{
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2,1fr);
    column-gap: 2rem;
  }
  .contact__form{
    width: 360px;
  }
  .contact__container{
    justify-items: center;
  }
}

@media screen and (min-width: 1024px){
  .bd-grid{
    margin-left: auto;
    margin-right: auto;
  }
  .home__img{
    right: 10%;
  }
}
